OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepFEA

# StepFEA_FeaMaterialPropertyRepresentationItem Class Reference

Representation of STEP entity FeaMaterialPropertyRepresentationItem
.

`#include <StepFEA_FeaMaterialPropertyRepresentationItem.hxx>`

Inheritance diagram for StepFEA_FeaMaterialPropertyRepresentationItem:

[legend]

## Public Member Functions
Standard_EXPORT | StepFEA_FeaMaterialPropertyRepresentationItem ()
| Empty constructor .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_FeaMaterialPropertyRepresentationItem::StepFEA_FeaMaterialPropertyRepresentationItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepFEA_FeaMaterialPropertyRepresentationItem::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_RepresentationItem. Reimplemented in StepFEA_FeaAreaDensity, StepFEA_FeaLinearElasticity, StepFEA_FeaMassDensity, StepFEA_FeaMoistureAbsorption, StepFEA_FeaSecantCoefficientOfLinearThermalExpansion, StepFEA_FeaShellBendingStiffness, StepFEA_FeaShellMembraneBendingCouplingStiffness, StepFEA_FeaShellMembraneStiffness, StepFEA_FeaShellShearStiffness, and StepFEA_FeaTangentialCoefficientOfLinearThermalExpansion.

The documentation for this class was generated from the following file:

- StepFEA_FeaMaterialPropertyRepresentationItem.hxx